data <- read.table("ch1e3.dat",skip=6,header=T)
attach(data)

class <- c(1,-1,-1,1)
print(z0 <- glm(Freq~1,family=poisson))
print(z1 <- glm(Freq~class,family=poisson))

cbind(Freq,fitted(z0),residuals(z0,type="pearson"),
	fitted(z1),residuals(z1,type="pearson"))

if(interactive()){
plot(1:4,Freq,xlim=c(0,5),ylim=c(0,800),
	xlab="Social class",ylab="Frequency",pch=8)
x <- seq(0.95,4.05,by=0.05)
lines(x,763-314*(x-2.5)^2)
}

classl <- 2*((1:4)-2.5)
print(z2 <- glm(Freq~classl+class,family=poisson))
cbind(Freq,fitted(z2),residuals(z2,type="pearson"))
