library(repeated)

data <- read.table("ch10e3.dat",skip=6,header=T)
attach(data)

y <- cbind(c(TreatBleeding,PlacBleeding),
	c(TreatNumber-TreatBleeding,PlacNumber-PlacBleeding))
Treatment <- gl(2,25,labels=c("Histamine","Placebo"))
Trial <- gl(25,1,50)

print(z0 <- glm(y~Treatment+Trial,family=binomial))
print(z1 <- glm(y~Trial,family=binomial))
print(z2 <- glm(y~Treatment,family=binomial))

print(z3 <- glmm(y~Treatment,family=binomial,nest=Trial,points=9))
print(z4 <- glmm(y~1,family=binomial,nest=Trial,points=9))
