library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch2e4.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~Use+Virgin*Attitude,family=poisson))
print(z1 <- glm(Freq~Use+Virgin*Attitude+Use*Virgin,family=poisson))
print(z2 <- glm(Freq~Use+Virgin*Attitude+Use*Attitude,family=poisson))
print(z3 <- glm(Freq~Use+Virgin*Attitude+Use*Attitude+Use*Virgin,
	family=poisson))

Yes <- Freq[Use=="Yes"]
No <- Freq[Use=="No"]
Att <- Attitude[Use=="Yes"]
Virg <- Virgin[Use=="Yes"]
print(u0 <- glm(cbind(Yes,No)~1,family=binomial))
print(u1 <- glm(cbind(Yes,No)~Virg,family=binomial))
print(u2 <- glm(cbind(Yes,No)~Att,family=binomial))
print(u3 <- glm(cbind(Yes,No)~Att+Virg,family=binomial))
