source("ordvar.r")
library(gnlm)

data <- read.table("ch4e3.dat",skip=6,header=T)
attach(data)

VisitsL <- rep(-1:1,3)
YearsL <- rep(-1:1,rep(3,3))
Years <- relevel(Years,ref="2-10")

print(summary(crov(Freq,Visits,Years)))
print(summary(crov(Freq,Visits,YearsL)))

visits <- rep(0:2,3)
nordr(visits, mu=~Years, weights=Freq, pmu=c(0,-1.4,-2.3), pint=0.13,
	dist="continuation ratio")
nordr(visits, mu=~YearsL, weights=Freq, pmu=c(0,-1.4), pint=0.13,
	dist="continuation ratio")
