data <- read.table("ch6e2.dat",skip=6,header=T)
attach(data)

Freq <- c(Grade1,Grade2)
Grade <- gl(2,24,48)
Months <- c(Months,Months)
Months2 <- Months^2
LogMonths <- log(Months)
LogMonths2 <- LogMonths^2
RecMonths <- 1/Months
Rec2Months <- 1/Months^2
print(zg <- glm(Freq~Grade+Months+LogMonths,family=poisson))

print(z2 <- glm(Freq~Grade+Months+LogMonths+RecMonths+Rec2Months,
	family=poisson))

if(interactive()){
plot(1:24,1-cumsum(fitted(zg))[1:24]/100,type="l",xlab="Month",ylab="Survival",
	ylim=c(0,1))
points(1:24,1-cumsum(Freq[1:24])/100,pch=8)
points(1:24,1-cumsum(Freq[25:48])/140,pch=6)
lines(1:24,1-cumsum(fitted(z2))[1:24]/100,lty=3)
}

print(z3 <- glm(Freq~Grade*(Months+LogMonths+RecMonths+Rec2Months),
	family=poisson))
