data <- read.table("ch6e5.dat",skip=6,header=T)
attach(data)

occupants <- 1:10
houses <- c(Houses,rep(0,3))

print(zp <- glm(houses~occupants,family=poisson,offset=-lgamma(occupants+1)))

exp(coef(zp)[2])
log(sum(houses)*exp(-coef(zp)[1])+1)

if(interactive()){
plot(occupants,houses,xlab="Occupants",ylab="Frequency",xlim=c(0,10),pch=8)
lines(occupants,fitted(zp))
}

cbind(Occupants,Houses,fitted(zp)[1:7],residuals(zp,type="pearson")[1:7])
