Freq <- scan("ch10e4.dat",skip=6)

Point <- rep(1:10,rep(10,10))
Neighbour <- rep(1:10,10)
Diag <- Point!=Neighbour
tmp <- matrix(cumsum(Neighbour>Point)*(Neighbour>Point),ncol=10)
Sym <- as.factor(as.vector(tmp+t(tmp)))
Point <- as.factor(Point)
Neighbour <- as.factor(Neighbour)

print(z0 <- glm(Freq~Point+Neighbour,family=poisson,weights=Diag))
print(z1 <- glm(Freq~Point+Neighbour+Sym,family=poisson,weights=Diag))
