data <- read.table("ch10e7.dat",skip=6,header=T)
attach(data)

T0Total <- as.factor(T0RF+T0LF+T0RR+T0LR)
T1Total <- as.factor(T1RF+T1LF+T1RR+T1LR)

print(z0 <- glm(Freq~T1RF+T1LF+T1RR+T1LR+T1Total+T0RF*T0LF*T0RR*T0LR,
	family=poisson))
print(z1 <- glm(Freq~(T1RF+T1LF+T1RR+T1LR+T1Total)*T0RF*T0LF*T0RR*T0LR,
	family=poisson))
print(z2 <- glm(Freq~(T1RF+T1LF+T1RR+T1LR)*T0RF*T0LF*T0RR*T0LR+T1Total,
	family=poisson))
print(z3 <- glm(Freq~T1RF+T1LF+T1RR+T1LR+T0RF*T0LF*T0RR*T0LR*T1Total,
	family=poisson))
print(z4 <- glm(Freq~T1RF*T0RF+T1LF*T0LF+T1RR*T0RR+T1LR*T0LR+
	T0RF*T0LF*T0RR*T0LR*T1Total,family=poisson))
print(z5 <- glm(Freq~(T1RF+T1LF+T1RR+T1LR)*T0Total+T0RF*T0LF*T0RR*T0LR*T1Total,
	family=poisson))
print(z6 <- glm(Freq~T0RF*T0LF*T0RR*T0LR*T1Total,family=poisson))
print(z7 <- glm(Freq~T1RF+T1LF+T1RR+T1LR+
	I(T1RF*T0RF+T1LF*T0LF+T1RR*T0RR+T1LR*T0LR)+
	T0RF*T0LF*T0RR*T0LR*T1Total,family=poisson))
print(z8 <- glm(Freq~T1RF+T1LF+T1RR+T1LR+
	I(T1RF*T0RF+T1LF*T0LF)+I(T1RR*T0RR+T1LR*T0LR)+
	T0RF*T0LF*T0RR*T0LR*T1Total,family=poisson))
print(z9 <- glm(Freq~I(T1RF+T1LF+T1RR+T1LR)+
	I(T1RF*T0RF+T1LF*T0LF)+I(T1RR*T0RR+T1LR*T0LR)+
	T0RF*T0LF*T0RR*T0LR*T1Total,family=poisson))
print(z10 <- glm(Freq~I(T1RF+T1LF)+I(T1RR+T1LR)+
	I(T1RF*T0RF+T1LF*T0LF)+I(T1RR*T0RR+T1LR*T0LR)+
	T0RF*T0LF*T0RR*T0LR*T1Total,family=poisson))
