source("ordvar.r")

data <- read.table("ch4e3.dat",skip=6,header=T)
attach(data)

VisitsL <- rep(-1:1,3)
YearsL <- rep(-1:1,rep(3,3))
Years <- relevel(Years,ref="2-10")

print(summary(z0 <- glm(Freq~Visits+Years,family=poisson)))
print(summary(z1 <- update(z0,.~.+VisitsL:YearsL)))
print(summary(z2 <- update(z0,.~.+Visits:YearsL)))
print(summary(z3 <- update(z0,.~.+VisitsL:Years)))
print(summary(z4 <- update(z3,.~.+Visits:YearsL)))
print(summary(z5 <- lmov(Freq,Visits,Years,nord=2)))
