library(repeated)

y <- scan("ch7e8.dat",skip=3)

p1 <- rep(0:1,32)
p2 <- rep(rep(0:1,rep(2,2)),16)
p3 <- rep(rep(0:1,rep(4,2)),8)
p4 <- rep(rep(0:1,rep(8,2)),4)
p5 <- rep(rep(0:1,rep(16,2)),2)
p6 <- rep(0:1,rep(32,2))
pw <- c(rep(1,63),0)

print(z0 <- glm(y~p1+p2+p3+p4+p5+p6,family=poisson,weights=pw))
print(z1 <- glm(y~p1+p2+p3+p4+p5+p6+p1:p2+p1:p2:p3+p1:p2:p3:p4+p1:p2:p3:p4:p5,
	family=poisson,weights=pw))
print(z2 <- glm(y~p1+p2+p3+p4+p5+p6+p5:p6+p4:p5:p6+p3:p4:p5:p6+p2:p3:p4:p5:p6,
	family=poisson,weights=pw))
print(z3 <- glm(y~p1+p2+p3+p4+p5+p6+p5:p6+p4:p5:p6+p3:p4:p5:p6+p2:p3:p4:p5:p6+
	p1:p2+p1:p2:p3+p1:p2:p3:p4+p1:p2:p3:p4:p5,family=poisson,weights=pw))
print(z4 <- glm(y~p1+p2+p3+p4+p5+p6+p4:p5:p6+p3:p4:p5:p6+p2:p3:p4:p5:p6+
	p1:p2+p1:p2:p3+p1:p2:p3:p4+p1:p2:p3:p4:p5,family=poisson,weights=pw))
print(z5 <- glm(y~p1+p2+p3+p4+p5+p6+p4:p5:p6+p3:p4:p5:p6+p2:p3:p4:p5:p6+
	p1:p2+p1:p2:p3+p1:p2:p3:p4+p1:p2:p3:p4:p5+p1:p2+p2:p3+p3:p4+p4:p5+
	p5:p6,family=poisson,weights=pw))
print(z6 <- glm(y~p1+I(p2+p3+p4+p5)+p6+p4:p5:p6+p3:p4:p5:p6+p2:p3:p4:p5:p6+
	p1:p2+p1:p2:p3+p1:p2:p3:p4+p1:p2:p3:p4:p5,family=poisson,weights=pw))
print(summary(z7 <- glm(y~p1+I(p2+p3+p4+p5)+p6+p4:p5:p6+p2:p3:p4:p5:p6+
	p1:p2+p1:p2:p3:p4+p1:p2:p3:p4:p5,family=poisson,weights=pw)))

# or

n <- 6
eval(setup)
print(z0 <- glm(y~p1+p2+p3+p4+p5+p6,family=poisson,weights=pw))
print(z1a <- glm(y~p1+p2+p3+p4+p5+p6+b2+b3+b4+b5,family=poisson,weights=pw))
print(z2a <- glm(y~p1+p2+p3+p4+p5+p6+d1+d2+d3+d4,family=poisson,weights=pw))
print(z3a <- glm(y~p1+p2+p3+p4+p5+p6+b2+b3+b4+b5+d1+d2+d3+d4,family=poisson,
	weights=pw))
print(z4a <- glm(y~p1+p2+p3+p4+p5+p6+b2+b3+b4+b5+d1+d2+d3,family=poisson,
	weights=pw))
print(z5a <- glm(y~p1+p2+p3+p4+p5+p6+b2+b3+b4+b5+d1+d2+d3+i1+i2+i3+i4+i5,
	family=poisson,weights=pw))
print(z6a <- glm(y~p1+pbd+p6+b2+b3+b4+b5+d1+d2+d3,family=poisson,weights=pw))
print(summary(z7a <- glm(y~p1+pbd+p6+b2+b4+b5+d1+d3,family=poisson,
	weights=pw)))

capture(z7a,n)
